<?php
/**
 * The template for displaying posts in the Gallery post format
 *
 * @package WordPress
 * @subpackage Curiosity
 * @since Curiosity 1.0
 */
 
if ( function_exists( 'fw_get_db_post_option') ) { 
	$post_id = get_the_ID(); 
	$crt_excerpt = get_the_excerpt();
	$crt_unique_excerpt = fw_get_db_post_option( $post_id, 'crt_post_excerpt' ) ;
	if ($crt_unique_excerpt != '') $crt_excerpt = $crt_unique_excerpt;
} else {
	$crt_excerpt = get_the_excerpt();
}
?>

	<!-- #post start -->
    <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    	<div class="crt-article-container">
            <!-- blog-entry  -->
            <div class="blog-entry">
                
                <!-- entry image  -->
                <div class="entry-image">
					<?php
                    $post_id = get_the_ID(); 
                    if ( function_exists( 'fw_get_db_post_option') ) {  
                      $crt_gallery_format = fw_get_db_post_option( $post_id, 'crt_gallery_format' ) ;	
                    }
                    if( !empty ($crt_gallery_format)){ 
                    ?>	
             
                    <div class="postimg">
                        <div id="postgallery-<?php echo get_the_ID() ; ?>" class="flexslider">
                            <ul class="slides">
                                <?php foreach ( $crt_gallery_format as $attachment):  ?>
                                <li class="slide">
                                    <div class="crt-spih">
                                        <div class="single-post-image" style="background-image: url(<?php echo esc_url ( $attachment['url'] );?>)"></div>
                                    </div>
                                </li>
                                <?php endforeach; ?> 
                            </ul>
                        </div>
                    </div>
             
                    <?php } else { ?>
                    	<?php curiosity_lite_post_thumbnails(); ?>
					<?php } ?>
                </div>
                <!-- entry image end -->
                
                <!-- entry texts -->
                <div class="crt-entry-texts">
                    <div class="crt-psth">
                    <?php curiosity_lite_post_categories(); ?>
                    <a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'curiosity-lite' ), the_title_attribute( 'echo=0' ) ); ?>"><h3 class="crt-post-single-title"><?php echo the_title(); ?></h3></a>
                    </div>
    				<?php curiosity_lite_post_infos(); ?>
                    <div class="entry-content">
                        <p class="crt-entry-excerpt"><?php echo wp_kses_post($crt_excerpt); ?></p>
                        <a class="crt-psth-a" href="<?php the_permalink(); ?>"><?php curiosity_lite_read_more_text(); ?></a>
                    </div>
                    
					<?php curiosity_lite_post_tags(); ?>
                    
                </div>
                <!-- entry texts end  -->
            </div>
            <!-- blog-entry end  -->
            
            <script type="text/javascript">
            jQuery(document).ready(function(){
                jQuery('#postgallery-<?php the_ID(); ?>').flexslider({
                    animation: "fade",
                    touch:true,
                    animationDuration: 6000,
                    directionNav: true,
                    controlNav: false
                });
            });
            </script>
            <div class="clear"></div>
        </div>
	</article>
    <!-- #post end -->