<?php
/**
 * The template for displaying posts in the Link post format
 *
 * @package WordPress
 * @subpackage Curiosity
 * @since Curiosity 1.0
 */

if ( function_exists( 'fw_get_db_post_option') ) { 
	$post_id = get_the_ID(); 
	$crt_excerpt = get_the_excerpt();
	$crt_unique_excerpt = fw_get_db_post_option( $post_id, 'crt_post_excerpt' ) ;
	if ($crt_unique_excerpt != '') $crt_excerpt = $crt_unique_excerpt;
} else {
	$crt_excerpt = get_the_excerpt();
}
?>
	
    <!-- #post start -->
	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    	<div class="crt-article-container">
            <!-- blog-entry  -->
            <div class="blog-entry">
                
                <!-- entry image  -->
                <div class="entry-image">
						<?php curiosity_lite_post_thumbnails(); ?>
                </div>
                <!-- entry image end -->
                
                <!-- entry texts -->
                <div class="crt-entry-texts">
                    <div class="crt-psth">
                    <?php curiosity_lite_post_categories(); ?>
                    <a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'curiosity-lite' ), the_title_attribute( 'echo=0' ) ); ?>"><h3 class="crt-post-single-title"><?php echo the_title(); ?></h3></a>
                    </div>
                    <?php curiosity_lite_post_infos(); ?>
                    <div class="entry-content">
                        <p class="crt-entry-excerpt"><?php echo wp_kses_post($crt_excerpt); ?></p>
                        <?php
                        $post_id = get_the_ID(); 
                        if ( function_exists( 'fw_get_db_post_option') ) {  
                        $crt_link_format = fw_get_db_post_option( $post_id, 'crt_link_format' ) ;	
                        
                        if( !empty ($crt_link_format)){ 
                        ?>	
                        <a class="crt-psth-a" href="<?php echo esc_url($crt_link_format); ?>"><?php curiosity_lite_read_more_text(); ?></a>
                        <?php } } else {
						$content = get_the_content();
						$content = preg_match_all( '/href\s*=\s*[\"\']([^\"\']+)/', $content, $links );
						$content = $links[1][0];
						$crt_link_format = $content; ?>
                        <a class="crt-psth-a" href="<?php echo esc_url($crt_link_format); ?>"><?php curiosity_lite_read_more_text(); ?></a>
						<?php } ?>
                    </div> 
                    
					<?php curiosity_lite_post_tags(); ?>
                    
                </div>
                <!-- entry texts end  -->
            </div>
            <!-- blog-entry end  -->
            <div class="clear"></div>
        </div>
	</article>
    <!-- #post end -->