<?php if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}

$options = array(
	'footer' => array(
		'title' => __('Footer', 'curiosity-lite'),
		'type' => 'tab',
		'options' => array(
			'crt_footer_widget_text'                      => array(
				'label' => __( 'Footer Widget Area', 'curiosity-lite' ),
				'type'  => 'html',
				'value' => '',
				'desc'  => __( 'Customize the footer widget area as You want.', 'curiosity-lite' ),
				'html'  => '',
			),
			'crt_allow_f_widgets'                    => array(
				'label'        => __( 'Allow Footer Widgets', 'curiosity-lite' ),
				'type'         => 'switch',
				'right-choice' => array(
					'value' => 'yes',
					'label' => __( 'Yes', 'curiosity-lite' )
				),
				'left-choice'  => array(
					'value' => 'no',
					'label' => __( 'No', 'curiosity-lite' )
				),
				'value'        => 'yes',
				'desc'         => __( 'Display widget area on footer or not.', 'curiosity-lite' ),
			),
			'crt_footer_column' => array(
				'label' => __('Footer Columns', 'curiosity-lite'),
				'type' => 'short-select',
				'value' => '1-2-3',
				'desc' => __('The value is column for display in footer column.',
					'curiosity-lite'),
				'choices' => array(
					'1' => '1',
					'1-2' => '2',
					'1-2-3' => '3',
					'1-2-3-4' => '4',
					'1-2-3-4-5' => '5',
				),
			),
			'crt_fw_background_image' => array(
				'label' => __('Footer Widgets Background Image', 'curiosity-lite'),
				'desc' => __('Upload an image for the background.', 'curiosity-lite'),
				'type' => 'upload',
			),
			'crt_fw_image_size' => array(
				'label' => __('Footer Widgets Background Image Size', 'curiosity-lite'),
				'type' => 'short-select',
				'value' => 'initial',
				'choices' => array(
					'inherit' => 'inherit',
					'initial' => 'initial',
					'cover' => 'cover',
					'contain' => 'contain',
				),
			),
			'crt_fw_image_repeat' => array(
				'label' => __('Footer Widgets Background Image Repeat', 'curiosity-lite'),
				'type' => 'short-select',
				'value' => 'no-repeat',
				'choices' => array(
					'no-repeat' => 'no-repeat',
					'repeat' => 'repeat',
					'repeat-x' => 'repeat-x',
					'repeat-y' => 'repeat-y',
				),
			),
			'crt_fw_image_fixed' => array(
				'label'        => __( 'Fixed Footer Widgets Background Image', 'curiosity-lite' ),
				'type'         => 'switch',
				'right-choice' => array(
					'value' => 'yes',
					'label' => __( 'Yes', 'curiosity-lite' )
				),
				'left-choice'  => array(
					'value' => 'no',
					'label' => __( 'No', 'curiosity-lite' )
				),
				'value'        => 'no',
			),
			'crt_fw_padding' => array(
				'label' => __('Footer Widgets Padding', 'curiosity-lite'),
				'desc' => __('Footer widgets padding (top, right, bottom, left).', 'curiosity-lite'),
				'type' => 'text',
				'value' => '20px 25px 0'
			),
			'crt_fwc_padding' => array(
				'label' => __('Footer Column Padding', 'curiosity-lite'),
				'desc' => __('Footer widgets columns padding (top, right, bottom, left).', 'curiosity-lite'),
				'type' => 'text',
				'value' => '10px 5px'
			),
			'crt_copyright_area_text'                      => array(
				'label' => __( 'Copyright Area', 'curiosity-lite' ),
				'type'  => 'html',
				'value' => '',
				'desc'  => __( 'Customize the footer copyright area as You want.', 'curiosity-lite' ),
				'html'  => '',
			),
			'crt_bf_layout'	=> array(
				'label'   => __( 'Bottom Footer Layout', 'curiosity-lite' ),
				'type'    => 'radio',
				'value'   => 'cr-menu',
				'desc'    => __( 'Choose one of the bottom footer layouts.', 'curiosity-lite' ),
				'choices' => array(
					'cr-menu' => __( 'Copyright - Menu', 'curiosity-lite' ),
					'menu-cr' => __( 'Menu - Copyright', 'curiosity-lite' ),
				),
			),
			'crt_footer_social_switch' => array(
				'type' => 'multi-picker',
				'label' => false,
				'desc' => false,
				'picker' => array(
					'on_off' => array(
						'label' => __('Social Icons', 'curiosity-lite'),
						'type' => 'switch',
						'right-choice' => array(
							'value' => 'off',
							'label' => __('Off', 'curiosity-lite')
						),
						'left-choice' => array(
							'value' => 'on',
							'label' => __('On', 'curiosity-lite')
						),
						'value' => 'off',
						'desc' => __('Display social icons on the footer.', 'curiosity-lite'),
					)
				)
			),
			'crt_bf_menu_switch' => array(
				'type' => 'multi-picker',
				'label' => false,
				'desc' => false,
				'picker' => array(
					'on_off' => array(
						'label' => __('Bottom Footer Menu', 'curiosity-lite'),
						'type' => 'switch',
						'right-choice' => array(
							'value' => 'off',
							'label' => __('Off', 'curiosity-lite')
						),
						'left-choice' => array(
							'value' => 'on',
							'label' => __('On', 'curiosity-lite')
						),
						'value' => 'on',
						'desc' => __('Display menu on the bottom footer.', 'curiosity-lite'),
					)
				)
			),
			'crt_copyright_content' => array(
				'label' => __('Copyright Text', 'curiosity-lite'),
				'type' => 'textarea',
				'value' => 'Copyright 2016',
				'desc' => __('If you dont need to add a copyright message to your website, leave this field blank.', 'curiosity-lite'),
			),
			'crt_bf_padding' => array(
				'label' => __('Bottom Footer Padding', 'curiosity-lite'),
				'desc' => __('top, right, bottom, left', 'curiosity-lite'),
				'type' => 'text',
				'value' => '10px 0'
			),
			'crt_bf_mi_padding' => array(
				'label' => __('Menu Item Padding', 'curiosity-lite'),
				'desc' => __('top, right, bottom, left', 'curiosity-lite'),
				'type' => 'text',
				'value' => '0 0 0 10px'
			),
			'crt_allow_link_animation'                    => array(
				'label'        => __( 'Allow Link Animation', 'curiosity-lite' ),
				'type'         => 'switch',
				'right-choice' => array(
					'value' => 'yes',
					'label' => __( 'Yes', 'curiosity-lite' )
				),
				'left-choice'  => array(
					'value' => 'no',
					'label' => __( 'No', 'curiosity-lite' )
				),
				'value'        => 'no',
				'desc'         => __( 'Allow line animation on link elements.', 'curiosity-lite' ),
			),
		)
	)
); ?>