<?php if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}

$options = array(
	'general' => array(
		'title' => __('General', 'curiosity-lite'),
		'type' => 'tab',
		'options' => array(
			'crt_boxed_margin_top' => array(
				'label' => __('Margin Top', 'curiosity-lite'),
				'type' => 'slider',
				'value' => 50,
				'desc' => __('Margin at the top of the box. (px)', 'curiosity-lite'),
			),
			'crt_boxed_margin_bottom' => array(
				'label' => __('Margin Bottom', 'curiosity-lite'),
				'type' => 'slider',
				'value' => 40,
				'desc' => __('Margin at the bottom of the box. (px)', 'curiosity-lite'),
			),
			'crt_boxed_background_color' => array(
				'label' => __('Body Background Color', 'curiosity-lite'),
				'type' => 'rgba-color-picker',
				'value' => '#333333',
				'desc' => __('Pick a color for the background.', 'curiosity-lite'),
			),
			'crt_boxed_background_image' => array(
				'label' => __('Body Background Image', 'curiosity-lite'),
				'desc' => __('Upload an image for the background.', 'curiosity-lite'),
				'type' => 'upload',
			),
			'crt_boxed_image_size' => array(
				'label' => __('Body Background Image Size', 'curiosity-lite'),
				'type' => 'short-select',
				'value' => 'inherit',
				'choices' => array(
					'inherit' => 'inherit',
					'initial' => 'initial',
					'cover' => 'cover',
					'contain' => 'contain',
				),
			),
			'crt_boxed_image_repeat' => array(
				'label' => __('Body Background Image Repeat', 'curiosity-lite'),
				'type' => 'short-select',
				'value' => 'repeat',
				'choices' => array(
					'no-repeat' => 'no-repeat',
					'repeat' => 'repeat',
					'repeat-x' => 'repeat-x',
					'repeat-y' => 'repeat-y',
				),
			),
			'crt_boxed_image_fixed' => array(
				'label'        => __( 'Fixed Body Background Image', 'curiosity-lite' ),
				'type'         => 'switch',
				'right-choice' => array(
					'value' => 'yes',
					'label' => __( 'Yes', 'curiosity-lite' )
				),
				'left-choice'  => array(
					'value' => 'no',
					'label' => __( 'No', 'curiosity-lite' )
				),
				'value'        => 'no',
			),
			'crt_enable_responsive'                    => array(
				'label'        => __( 'Enable Responsive', 'curiosity-lite' ),
				'type'         => 'switch',
				'right-choice' => array(
					'value' => 'yes',
					'label' => __( 'Yes', 'curiosity-lite' )
				),
				'left-choice'  => array(
					'value' => 'no',
					'label' => __( 'No', 'curiosity-lite' )
				),
				'value'        => 'yes',
				'desc'         => __( 'Enable the responsive behaviour of the theme.', 'curiosity-lite' ),
			),
			'crt_read_more_text' => array(
				'label' => __('Read More', 'curiosity-lite'),
				'desc' => __('Default "Read more" text on buttons.', 'curiosity-lite'),
				'type' => 'text',
				'value' => 'Read more'
			),
			'crt_404_page'          => array(
				'label'   => __( 'Unique 404 Page', 'curiosity-lite' ),
				'desc'    => __( 'If You need unique design, select the 404 error page', 'curiosity-lite' ),
				'value'   => '',
				'type'    => 'select',
				'choices' => curiosity_lite_all_pages(),
			),
		)
	)
); ?>