<?php if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}

$options = array(
	'header' => array(
		'title' => __('Header', 'curiosity-lite'),
		'type' => 'tab',
		'options' => array(
			'crt_header_layout'        => array(
				'type'         => 'multi-picker',
				'label'   	   => false,
				'desc'         => false,
				'value'        => array(
					'layout' => 'toplogo-menu-buttons',
				),
				'picker'       => array(
					'layout' => array(
						'label'   => __( 'Header Layout', 'curiosity-lite' ),
						'type'    => 'radio',
						'choices' => array(
							'toplogo-menu-buttons' => __( 'Top Logo - Menu - Buttons', 'curiosity-lite' ),
							'toplogowa-menu-buttons' => __( 'Top Logo With Ad - Menu - Buttons', 'curiosity-lite' ),
							'toplogowi-menu-buttons' => __( 'Top Logo With Img - Menu - Buttons', 'curiosity-lite' ),
						),
						'desc'    => __( 'Choose one of the header layouts.', 'curiosity-lite' ),
					)
				),
				'choices'      => array(
					'toplogowa-menu-buttons'  => array(
						'crt_logo_advert' => array(
							'label' => __('Header Banner Ad', 'curiosity-lite'),
							'desc' => __('Adsense, Buy Sell Ads or Custom Code." style.', 'curiosity-lite'),
							'type' => 'textarea',
							'value' => ''
						),
					),
					'toplogowi-menu-buttons' => array(
						'crt_logo_advert_image' => array(
							'label' => __('Header Background Image', 'curiosity-lite'),
							'desc' => __('Upload an image for header background.', 'curiosity-lite'),
							'type' => 'upload',
						),
						'crt_logo_advert_parallax'                    => array(
							'label'        => __( 'Parallax', 'curiosity-lite' ),
							'type'         => 'switch',
							'right-choice' => array(
								'value' => 'yes',
								'label' => __( 'Yes', 'curiosity-lite' )
							),
							'left-choice'  => array(
								'value' => 'no',
								'label' => __( 'No', 'curiosity-lite' )
							),
							'value'        => 'no',
							'desc'         => __( 'Switch on, if You want parallax image.', 'curiosity-lite' ),
						),
						'crt_logo_advert_link' => array(
							'label' => __('Link', 'curiosity-lite'),
							'desc' => __('Add link or leave it blank.', 'curiosity-lite'),
							'type' => 'text',
							'value' => ''
						),
					),
				),
				'show_borders' => false,
			),
			'crt_header_style_text'                      => array(
				'label' => __( 'Header Style', 'curiosity-lite' ),
				'type'  => 'html',
				'value' => '',
				'desc'  => __( 'Customize the header as You want.', 'curiosity-lite' ),
				'html'  => '',
			),
			'crt_header_background_image' => array(
				'label' => __('Header Background Image', 'curiosity-lite'),
				'desc' => __('Upload an image for header background.', 'curiosity-lite'),
				'type' => 'upload',
			),
			'crt_header_image_size' => array(
				'label' => __('Header Background Image Size', 'curiosity-lite'),
				'type' => 'short-select',
				'value' => 'inherit',
				'choices' => array(
					'inherit' => 'inherit',
					'initial' => 'initial',
					'cover'   => 'cover',
					'contain' => 'contain',
				),
			),
			'crt_header_image_repeat' => array(
				'label' => __('Header Background Image Repeat', 'curiosity-lite'),
				'type' => 'short-select',
				'value' => 'repeat',
				'choices' => array(
					'no-repeat'=> 'no-repeat',
					'repeat'   => 'repeat',
					'repeat-x' => 'repeat-x',
					'repeat-y' => 'repeat-y',
				),
			),
			'crt_logo_style_text'                      => array(
				'label' => __( 'Logo Style', 'curiosity-lite' ),
				'type'  => 'html',
				'value' => '',
				'desc'  => __( 'Customize the logo area as You want.', 'curiosity-lite' ),
				'html'  => '',
			),
			'crt_logo_type' => array(
				'type' => 'multi-picker',
				'label' => false,
				'desc' => false,
				'value' => array(
					'logo' => 'text', ),
				'picker' => array(
					'logo' => array(
						'label' => __('Logo Type', 'curiosity-lite'),
						'type' => 'radio',
						'choices' => array(
							'text' => __('Text-based Logo', 'curiosity-lite'),
							'image' => __('Image Logo', 'curiosity-lite')
						),
						'desc' => __('Select one from the logo types and add the content.',
							'curiosity-lite'),
					)
				),
				'choices' => array(
					'text' => array(
						'crt_logo_text' => array(
							'label' => __('Logo Text', 'curiosity-lite'),
							'desc' => __('Add a site title.', 'curiosity-lite'),
							'type' => 'text',
							'value' => get_bloginfo('name'),
						),
					),
					'image' => array(
						'crt_logo_image' => array(
							'label' => __('Logo Image', 'curiosity-lite'),
							'desc' => __('Upload the logo image.', 'curiosity-lite'),
							'type' => 'upload',
						),
					),
				),
				'show_borders' => false,
			),
			'crt_logo_padding' => array(
				'label' => __('Logo Padding', 'curiosity-lite'),
				'desc' => __('Padding CSS value for the logo area (top, right, bottom, left).', 'curiosity-lite'),
				'type' => 'text',
				'value' => '5px 15px 20px 0'
			),
			'crt_tagline' => array(
				'type' => 'multi-picker',
				'label' => false,
				'desc' => false,
				'picker' => array(
					'on_off' => array(
						'label' => __('Display Tagline', 'curiosity-lite'),
						'type' => 'switch',
						'right-choice' => array(
							'value' => 'off',
							'label' => __('Off', 'curiosity-lite')
						),
						'left-choice' => array(
							'value' => 'on',
							'label' => __('On', 'curiosity-lite')
						),
						'value' => 'off',
						'desc' => __('Display tagline under the logo.', 'curiosity-lite'),
					)
				),
				'show_borders' => false,
			),
			'crt_logo_time'                    => array(
				'label'        => __( 'Display Date', 'curiosity-lite' ),
				'type'         => 'switch',
				'right-choice' => array(
					'value' => 'yes',
					'label' => __( 'Yes', 'curiosity-lite' )
				),
				'left-choice'  => array(
					'value' => 'no',
					'label' => __( 'No', 'curiosity-lite' )
				),
				'value'        => 'yes',
				'desc'         => __( 'Switch on to display local time.', 'curiosity-lite' ),
			),
			'crt_logo_email' => array(
				'label' => __('Display Email Address', 'curiosity-lite'),
				'desc' => __('Display email address under the logo.', 'curiosity-lite'),
				'type' => 'text',
				'value' => ''
			),
			'crt_logo_phone' => array(
				'label' => __('Display Phone Number', 'curiosity-lite'),
				'desc' => __('Display phone number under the logo.', 'curiosity-lite'),
				'type' => 'text',
				'value' => ''
			),
			'crt_menu_item_text'                      => array(
				'label' => __( 'Menu Item', 'curiosity-lite' ),
				'type'  => 'html',
				'value' => '',
				'html'  => '',
			),
			'crt_menu_item_mr' => array(
				'label' => __('Menu Item Margin Right', 'curiosity-lite'),
				'type' => 'slider',
				'value' => 5,
			),
			'crt_menu_item_pt' => array(
				'label' => __('Menu Item Padding Top', 'curiosity-lite'),
				'type' => 'slider',
				'value' => 15,
			),
			'crt_menu_item_pr' => array(
				'label' => __('Menu Item Padding Right', 'curiosity-lite'),
				'type' => 'slider',
				'value' => 8,
			),
			'crt_menu_item_pb' => array(
				'label' => __('Menu Item Padding Bottom', 'curiosity-lite'),
				'type' => 'slider',
				'value' => 15,
			),
			'crt_menu_item_pl' => array(
				'label' => __('Menu Item Padding Left', 'curiosity-lite'),
				'type' => 'slider',
				'value' => 8,
			),
			'crt_menu_item_hover_effect' => array(
				'label' => __('Menu Item Hover Effect', 'curiosity-lite'),
				'type' => 'select',
				'value' => 'none',
				'choices' => array(
					'none'       => 'none',
					'line-animation' => 'line-animation',
					'line-through' => 'line-through',
					'overline'  => 'overline',
					'underline'  => 'underline',
				),
			),
			'crt_menu_item_transition' => array(
				'type' => 'text',
				'label' => __('Item Transition Speed', 'curiosity-lite'),
				'value' => '0.2',
				'desc' => __('Add the speed of the hover effect in sec.', 'curiosity-lite'),
			),
			'crt_submenu_item_text'                      => array(
				'label' => __( 'Submenu Item', 'curiosity-lite' ),
				'type'  => 'html',
				'value' => '',
				'html'  => '',
			),
			'crt_submenu_allow_icon'                    => array(
				'label'        => __( 'Submenu Indicator', 'curiosity-lite' ),
				'type'         => 'switch',
				'right-choice' => array(
					'value' => 'yes',
					'label' => __( 'Yes', 'curiosity-lite' )
				),
				'left-choice'  => array(
					'value' => 'no',
					'label' => __( 'No', 'curiosity-lite' )
				),
				'value'        => 'yes',
				'desc'         => __( 'Allow submenu indicator icon.', 'curiosity-lite' ),
			),
			'crt_submenu_width' => array(
				'label' => __('Submenu width', 'curiosity-lite'),
				'type' => 'slider',
				'value' => 10,
				'desc' => __('Add the width of the submenu.', 'curiosity-lite'),
			),
			'crt_submenu_item_pt' => array(
				'label' => __('Submenu Item Padding Top', 'curiosity-lite'),
				'type' => 'slider',
				'value' => 10,
			),
			'crt_submenu_item_pr' => array(
				'label' => __('Submenu Item Padding Right', 'curiosity-lite'),
				'type' => 'slider',
				'value' => 10,
			),
			'crt_submenu_item_pb' => array(
				'label' => __('Submenu Item Padding Bottom', 'curiosity-lite'),
				'type' => 'slider',
				'value' => 10,
			),
			'crt_submenu_item_pl' => array(
				'label' => __('Submenu Item Padding Left', 'curiosity-lite'),
				'type' => 'slider',
				'value' => 10,
			),
			'crt_submenu_item_hover_effect' => array(
				'label' => __('Item Hover Effect', 'curiosity-lite'),
				'type' => 'select',
				'value' => 'none',
				'choices' => array(
					'none'       => 'none',
					'line-through' => 'line-through',
					'overline'  => 'overline',
					'underline'  => 'underline',
				),
			),
			'crt_header_buttons_text'                      => array(
				'label' => __( 'Header Buttons', 'curiosity-lite' ),
				'type'  => 'html',
				'value' => '',
				'html'  => '',
			),
			'crt_header_buttons' => array(
				'type' => 'multi-picker',
				'label' => false,
				'desc' => false,
				'picker' => array(
					'on_off' => array(
						'label' => __('Allow Buttons', 'curiosity-lite'),
						'type' => 'switch',
						'right-choice' => array(
							'value' => 'off',
							'label' => __('Off', 'curiosity-lite')
						),
						'left-choice' => array(
							'value' => 'on',
							'label' => __('On', 'curiosity-lite')
						),
						'value' => 'on',
						'desc' => __('Turn on or off.', 'curiosity-lite'),
					)
				),
				'choices' => array(
					'on' => array(
						'crt_hb_padding' => array(
							'label' => __('Buttons Area Padding', 'curiosity-lite'),
							'desc' => __('Buttons area padding (top, right, bottom, left).', 'curiosity-lite'),
							'type' => 'text',
							'value' => '0 20px 12px 10px'
						),
						'crt_hb_ivp' => array(
							'label' => __('Buttons Inner Vertical Padding', 'curiosity-lite'),
							'type' => 'slider',
							'value' => 0,
						),
						'crt_hb_ihp' => array(
							'label' => __('Buttons Inner Horizontal Padding', 'curiosity-lite'),
							'type' => 'slider',
							'value' => 5,
						),
						'crt_hb_search'                    => array(
							'label'        => __( 'Search Button', 'curiosity-lite' ),
							'type'         => 'switch',
							'right-choice' => array(
								'value' => 'yes',
								'label' => __( 'Yes', 'curiosity-lite' )
							),
							'left-choice'  => array(
								'value' => 'no',
								'label' => __( 'No', 'curiosity-lite' )
							),
							'value'        => 'yes',
							'desc'         => __( 'Allow search field on header.', 'curiosity-lite' ),
						),
						'crt_text' => array(
							'type' => 'text',
							'label' => __('Extra Button Text', 'curiosity-lite'),
							'value' => '',
							'desc' => __('Leave blank, if You don`t need extra button.', 'curiosity-lite'),
						),
						'crt_link' => array(
							'type' => 'text',
							'label' => __('Extra Button Link', 'curiosity-lite'),
							'desc' => __('Add the link of the extra button.', 'curiosity-lite'),
						),
					),

				),
				'show_borders' => false,
			),
			'crt_mobil_menu_text'                      => array(
				'label' => __( 'Mobil Menu', 'curiosity-lite' ),
				'type'  => 'html',
				'value' => '',
				'html'  => '',
				'desc' => __('Setup the mobil menu as You want.', 'curiosity-lite'),
			),
			'crt_mm_start' => array(
				'type'  => 'slider',
				'value' => 967,
				'properties' => array(
					'min' => 300,
					'max' => 1920,
					'step' => 1, // Set slider step. Always > 0. Could be fractional.
				),
				'label' => __('Mobil Menu Under', 'curiosity-lite'),
				'desc'  => __('Add the device width (in px) where You want to change the basic menu to mobile menu.', 'curiosity-lite'),
			),
			'crt_mm' => array(
				'type' => 'multi-picker',
				'label' => false,
				'desc' => false,
				'picker' => array(
					'on_off' => array(
						'label' => __('Display Mobil Menu', 'curiosity-lite'),
						'type' => 'switch',
						'right-choice' => array(
							'value' => 'off',
							'label' => __('Off', 'curiosity-lite')
						),
						'left-choice' => array(
							'value' => 'on',
							'label' => __('On', 'curiosity-lite')
						),
						'value' => 'on',
						'desc' => __('Turn on or off.', 'curiosity-lite'),
					)
				),
				'choices' => array(
					'on' => array(
						'crt_mm_vp' => array(
							'label' => __('Mobil Menu Item Padding', 'curiosity-lite'),
							'type' => 'slider',
							'value' => 5,
							'description' => __('Vertical padding for the items in px.', 'curiosity-lite')
						),					),

				),
				'show_borders' => false,
			),
		)
	)
); ?>