<?php if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}

$options = array(
	'sidebars' => array(
		'title' => __('Sidebars', 'curiosity-lite'),
		'type' => 'tab',
		'options' => array(
			'crt_basic_layer_select' => array(
				'label' => __('Default Layout', 'curiosity-lite'),
				'type' => 'image-picker',
				'value' => '1-col',
				'desc' => __('Select the default layout for your theme.',
					'curiosity-lite'),
				'choices' => array(
					'1-col' => array(
						'small' => array(
							'height' => 70,
							'src' => get_template_directory_uri().
							'/images/1col.png'
						),
						'large' => array(
							'height' => 214,
							'src' => get_template_directory_uri().
							'/images/1col.png'
						),
					),
					'2-col-l' => array(
						'small' => array(
							'height' => 70,
							'src' => get_template_directory_uri().
							'/images/2cl.png'
						),
						'large' => array(
							'height' => 214,
							'src' => get_template_directory_uri().
							'/images/2cl.png'
						),
					),
					'2-col-r' => array(
						'small' => array(
							'height' => 70,
							'src' => get_template_directory_uri().
							'/images/2cr.png'
						),
						'large' => array(
							'height' => 214,
							'src' => get_template_directory_uri().
							'/images/2cr.png'
						),
					),
				),
			),
			'crt_sidebar_width' => array(
				'label' => __('Sidebar Width', 'curiosity-lite'),
				'type' => 'slider',
				'value' => 30,
				'desc' => __('Sidebar width in %.', 'curiosity-lite'),
			),
			'crt_sidebar_padding' => array(
				'label' => __('Sidebar padding', 'curiosity-lite'),
				'type' => 'text',
				'value' => '0',
				'desc' => __('Add padding css.', 'curiosity-lite'),
			),
			'crt_sidebar_background_color' => array(
				'label' => __('Sidebar Background Color', 'curiosity-lite'),
				'type' => 'rgba-color-picker',
				'value' => '',
				'desc' => __('Pick a color for sidebar background',
					'curiosity-lite'),
			),
			'crt_sidebar_background_image' => array(
				'label' => __('Sidebar Background Image', 'curiosity-lite'),
				'desc' => __('Upload an image for sidebar background.', 'curiosity-lite'),
				'type' => 'upload',
			),
			'crt_sidebar_image_size' => array(
				'label' => __('Sidebar Background Image Size', 'curiosity-lite'),
				'type' => 'short-select',
				'value' => 'inherit',
				'choices' => array(
					'inherit' => 'inherit',
					'initial' => 'initial',
					'cover'   => 'cover',
					'contain' => 'contain',
				),
			),
			'crt_sidebar_image_repeat' => array(
				'label' => __('Sidebar Background Image Repeat', 'curiosity-lite'),
				'type' => 'short-select',
				'value' => 'no-repeat',
				'choices' => array(
					'no-repeat'=> 'no-repeat',
					'repeat'   => 'repeat',
					'repeat-x' => 'repeat-x',
					'repeat-y' => 'repeat-y',
				),
			),
			'crt_widget_styles_text'                      => array(
				'label' => __( 'Widget Styles', 'curiosity-lite' ),
				'type'  => 'html',
				'value' => '',
				'desc'  => __( 'Customize the widget colors as You want.', 'curiosity-lite' ),
				'html'  => '',
			),
			'crt_w_default_widget' => array(
				'label' => __('Default Background Color', 'curiosity-lite'),
				'type' => 'short-select',
				'value' => 'c-3',
				'choices' => array(
					'c-none'  => __( 'None', 'curiosity-lite' ),
					'c-1' => __( 'Color 1', 'curiosity-lite' ),
					'c-2' => __( 'Color 2', 'curiosity-lite' ),
					'c-3' => __( 'Color 3', 'curiosity-lite' ),
				),
				'desc'  => __( 'Choose the default background color of the widgets. At some of the widgets, You can pick individual colors.', 'curiosity-lite' ),
			),
			'crt_w_recent_posts' => array(
				'label' => __('Recent Posts', 'curiosity-lite'),
				'type' => 'short-select',
				'value' => 'c-2',
				'choices' => array(
					'c-none'  => __( 'None', 'curiosity-lite' ),
					'c-1' => __( 'Color 1', 'curiosity-lite' ),
					'c-2' => __( 'Color 2', 'curiosity-lite' ),
					'c-3' => __( 'Color 3', 'curiosity-lite' ),
				),
			),
			'crt_w_archives' => array(
				'label' => __('Archives', 'curiosity-lite'),
				'type' => 'short-select',
				'value' => 'c-1',
				'choices' => array(
					'c-none'  => __( 'None', 'curiosity-lite' ),
					'c-1' => __( 'Color 1', 'curiosity-lite' ),
					'c-2' => __( 'Color 2', 'curiosity-lite' ),
					'c-3' => __( 'Color 3', 'curiosity-lite' ),
				),
			),
			'crt_w_calendar' => array(
				'label' => __('Calendar', 'curiosity-lite'),
				'type' => 'short-select',
				'value' => 'c-1',
				'choices' => array(
					'c-none'  => __( 'None', 'curiosity-lite' ),
					'c-1' => __( 'Color 1', 'curiosity-lite' ),
					'c-2' => __( 'Color 2', 'curiosity-lite' ),
					'c-3' => __( 'Color 3', 'curiosity-lite' ),
				),
			),
			'crt_w_categories' => array(
				'label' => __('Categories', 'curiosity-lite'),
				'type' => 'short-select',
				'value' => 'c-1',
				'choices' => array(
					'c-none'  => __( 'None', 'curiosity-lite' ),
					'c-1' => __( 'Color 1', 'curiosity-lite' ),
					'c-2' => __( 'Color 2', 'curiosity-lite' ),
					'c-3' => __( 'Color 3', 'curiosity-lite' ),
				),
			),
			'crt_w_meta' => array(
				'label' => __('Meta', 'curiosity-lite'),
				'type' => 'short-select',
				'value' => 'c-1',
				'choices' => array(
					'c-none'  => __( 'None', 'curiosity-lite' ),
					'c-1' => __( 'Color 1', 'curiosity-lite' ),
					'c-2' => __( 'Color 2', 'curiosity-lite' ),
					'c-3' => __( 'Color 3', 'curiosity-lite' ),
				),
			),
			'crt_w_search' => array(
				'label' => __('Search', 'curiosity-lite'),
				'type' => 'short-select',
				'value' => 'c-1',
				'choices' => array(
					'c-none'  => __( 'None', 'curiosity-lite' ),
					'c-1' => __( 'Color 1', 'curiosity-lite' ),
					'c-2' => __( 'Color 2', 'curiosity-lite' ),
					'c-3' => __( 'Color 3', 'curiosity-lite' ),
				),
			),
			'crt_w_custom_menu' => array(
				'label' => __('Custom Menu', 'curiosity-lite'),
				'type' => 'short-select',
				'value' => 'c-1',
				'choices' => array(
					'c-none'  => __( 'None', 'curiosity-lite' ),
					'c-1' => __( 'Color 1', 'curiosity-lite' ),
					'c-2' => __( 'Color 2', 'curiosity-lite' ),
					'c-3' => __( 'Color 3', 'curiosity-lite' ),
				),
			),
		)
	)
); ?>