<?php
/**
 * The Header for our theme.
 *
 *
 * @package WordPress
 * @subpackage Curiosity
 * @since Curiosity 1.0
 */

// Theme Settings
if ( function_exists( 'fw_get_db_customizer_option') ) {
    $crt_header_layout = fw_get_db_customizer_option( 'crt_header_layout/layout');
	$crt_logo_advert = fw_get_db_customizer_option( 'crt_header_layout/toplogowa-menu-buttons/crt_logo_advert');
	$crt_logo_advert_image = fw_get_db_customizer_option( 'crt_header_layout/toplogowi-menu-buttons/crt_logo_advert_image');
	$crt_logo_advert_parallax = fw_get_db_customizer_option( 'crt_header_layout/toplogowi-menu-buttons/crt_logo_advert_parallax');
	$crt_logo_advert_link = fw_get_db_customizer_option( 'crt_header_layout/toplogowi-menu-buttons/crt_logo_advert_link');
	$crt_menu_item_hover_effect = fw_get_db_customizer_option( 'crt_menu_item_hover_effect');
	$crt_header_buttons = fw_get_db_customizer_option( 'crt_header_buttons/on_off');
	$crt_extra_button_link = fw_get_db_customizer_option( 'crt_header_buttons/on/crt_link');
	$crt_extra_button_text = fw_get_db_customizer_option( 'crt_header_buttons/on/crt_text');
	$crt_hb_search = fw_get_db_customizer_option( 'crt_header_buttons/on/crt_hb_search');
	$crt_hb_cart = fw_get_db_customizer_option( 'crt_header_buttons/on/crt_hb_cart');
	$crt_social1 = fw_get_db_customizer_option( 'crt_social1');
	$crt_social_icon1 = fw_get_db_customizer_option( 'crt_social_icon1');
	$crt_social2 = fw_get_db_customizer_option( 'crt_social2');
	$crt_social_icon2 = fw_get_db_customizer_option( 'crt_social_icon2');
	$crt_social3 = fw_get_db_customizer_option( 'crt_social3');
	$crt_social_icon3 = fw_get_db_customizer_option( 'crt_social_icon3');
	$crt_social4 = fw_get_db_customizer_option( 'crt_social4');
	$crt_social_icon4 = fw_get_db_customizer_option( 'crt_social_icon4');
	$crt_social5 = fw_get_db_customizer_option( 'crt_social5');
	$crt_social_icon5 = fw_get_db_customizer_option( 'crt_social_icon5');
	$crt_social6 = fw_get_db_customizer_option( 'crt_social6');
	$crt_social_icon6 = fw_get_db_customizer_option( 'crt_social_icon6');
	$crt_social7 = fw_get_db_customizer_option( 'crt_social7');
	$crt_social_icon7 = fw_get_db_customizer_option( 'crt_social_icon7');
	$crt_social8 = fw_get_db_customizer_option( 'crt_social8');
	$crt_social_icon8 = fw_get_db_customizer_option( 'crt_social_icon8');
	$crt_mm = fw_get_db_customizer_option( 'crt_mm/on_off');
	$crt_secondary_header = fw_get_db_customizer_option( 'crt_secondary_header');
	$crt_enable_responsive = fw_get_db_customizer_option( 'crt_enable_responsive');
	$crt_allow_breadcrumbs = fw_get_db_customizer_option( 'crt_allow_breadcrumbs');
	
	$crt_w_default_widget = fw_get_db_customizer_option( 'crt_w_default_widget');
	$crt_w_recent_posts = fw_get_db_customizer_option( 'crt_w_recent_posts');
	$crt_w_archives = fw_get_db_customizer_option( 'crt_w_archives');
	$crt_w_calendar = fw_get_db_customizer_option( 'crt_w_calendar');
	$crt_w_categories = fw_get_db_customizer_option( 'crt_w_categories');
	$crt_w_meta = fw_get_db_customizer_option( 'crt_w_meta');
	$crt_w_search = fw_get_db_customizer_option( 'crt_w_search');
	$crt_w_custom_menu = fw_get_db_customizer_option( 'crt_w_custom_menu');
	
} else {
	$crt_header_layout = 'toplogo-menu-buttons';
} 
?>
<!DOCTYPE html>
<!--[if IE 6]>
<html id="ie6" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 7]>
<html id="ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html id="ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 6) | !(IE 7) | !(IE 8)  ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>

<meta charset="<?php bloginfo( 'charset' ); ?>" />

<link rel="alternate" id="templateurl" href="<?php echo get_template_directory_uri(); ?>" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />

<?php if(isset($crt_enable_responsive) && ($crt_enable_responsive == 'no')){ } else { ?>
    <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0">
    <meta name="format-detection" content="telephone=no">
<?php } ?>

<?php wp_head(); ?>

</head>

<body <?php body_class(); ?>>

<div id="crt-page-holder" class="crt-page-boxed">
	<div id="crt-outercontainer">
    	<div class="crt-pagecontent">
		<div class="crt-pagebottom">
		<div class="crt-pageholder">
        <!-- HEADER -->
        <?php if(isset($crt_secondary_header) && ($crt_secondary_header == 'crt-sh-on')){ 
			curiosity_lite_secondary_header();
		} elseif(isset($crt_secondary_header) && ($crt_secondary_header == 'crt-sh-front')){
			if (is_front_page()) {
				curiosity_lite_secondary_header();
			}
		} ?>
        <div id="crt-outerheader">
            <header id="crt-header" class="crt-<?php echo esc_attr($crt_header_layout); ?>">
            <?php
            $header_order = $crt_header_layout;
            $header_order_elements = explode('-', $header_order);
            foreach ($header_order_elements as $element) {
            ?>
                <?php if ($element == 'toplogo' || $element == 'toplogowa' || $element == 'toplogowi') { ?>
                <?php if ($element == 'toplogowa' || $element == 'toplogowi') { ?>
                <div id="crt-logo-wa">
                <?php } ?>
                <div id="crt-logo"><?php curiosity_lite_logo();?></div>
                <?php if ($element == 'toplogowa') { ?>
                <div id="crt-logo-advert"><?php echo wp_kses_post($crt_logo_advert) ; ?></div>
                <div class="clearfix"></div>
                </div>
                <?php } elseif ($element == 'toplogowi') { ?>
                <?php if ($crt_logo_advert_link != '') { ?><a href="<?php echo esc_url($crt_logo_advert_link); ?>"><?php } ?><div id="crt-logo-advert"<?php if ($crt_logo_advert_parallax == 'yes' ) { ?> class="crt-logo-advert-ph"<?php } ?>>
                <?php if ($crt_logo_advert_parallax == 'yes' ) { ?>
                	<div class="crt-logo-advert-p" style="background-image: url('<?php echo esc_url($crt_logo_advert_image['url']) ; ?>')"></div>
                <?php } else { ?>
                	<img src="<?php echo esc_url($crt_logo_advert_image['url']) ; ?>" />
                <?php } ?>
                </div><?php if ($crt_logo_advert_link != '') { ?></a><?php } ?>
                <div class="clearfix"></div>
                </div>
                <?php } ?>
                <?php } ?>
           <?php } ?>
		   <div class="crt-menu-area"> 
		   <?php foreach ($header_order_elements as $element) {?>
                <?php if ($element == 'menu' || $element == 'centermenu') { ?>
                <div id="crt-header-menus">
                    <?php if(isset($crt_mm) && ($crt_mm == 'on')){ ?>
                    <a id="crt-toggleMenu" href="#"><?php echo __( 'Menu', 'curiosity-lite' ) ; ?><span class="menu-icon"><i class="fa fa-bars"></i></span></a>
                    <nav id="crt-mobile-navigation" class="crt-toggle_container">
                        <?php wp_nav_menu( array(
                          'container'       => 'ul', 
                          'menu_class'      => 'crt-mobile-menu',
                          'menu_id'         => 'topnav-mobile', 
                          'depth'           => 4,
                          'sort_column'     => 'menu_order',
                          'theme_location'  => 'crt-mobilmenu' 
                          )); 
                        ?>                                                             
                    </nav>
                    <?php } ?>
                    <nav id="crt-header-navigation"<?php if(isset($crt_menu_item_hover_effect) && ($crt_menu_item_hover_effect == 'line-animation')){ ?> class="crt-line-animation"<?php } ?>>
                        <?php wp_nav_menu( array(
                          'container'       => 'ul', 
                          'menu_class'      => 'crt-menu',
                          'menu_id'         => 'topnav', 
                          'depth'           => 4,
                          'sort_column'     => 'menu_order',
                          'theme_location'  => 'crt-mainmenu',
                          'link_before' => '<span>',
                          'link_after' => '</span>'
                          )); 
                        ?>                                                             
                    </nav>
                </div>
                <?php } ?>
                <?php if ($element == 'buttons' || $element == 'centerbuttons') { ?>
                    <?php if(isset($crt_header_buttons) && ($crt_header_buttons == 'on')){ ?>
                <div id="crt-header-buttons">
                    <div id="crt-menu-social-header" class="crt-menu-social">
                        <ul id="crt-menu-social-items-footer" class="menu-items">
                         <?php if($crt_social1 != ''){ ?><li><a href="<?php echo esc_url($crt_social1) ; ?>"><i class="<?php echo esc_attr($crt_social_icon1) ; ?>"></i></a></li> <?php } else {} ?>
                         <?php if($crt_social2 != ''){ ?><li><a href="<?php echo esc_url($crt_social2) ; ?>"><i class="<?php echo esc_attr($crt_social_icon2) ; ?>"></i></a></li> <?php } else {} ?>
                         <?php if($crt_social3 != ''){ ?><li><a href="<?php echo esc_url($crt_social3) ; ?>"><i class="<?php echo esc_attr($crt_social_icon3) ; ?>"></i></a></li> <?php } else {} ?>
                         <?php if($crt_social4 != ''){ ?><li><a href="<?php echo esc_url($crt_social4) ; ?>"><i class="<?php echo esc_attr($crt_social_icon4) ; ?>"></i></a></li> <?php } else {} ?>
                         <?php if($crt_social5 != ''){ ?><li><a href="<?php echo esc_url($crt_social5) ; ?>"><i class="<?php echo esc_attr($crt_social_icon5) ; ?>"></i></a></li> <?php } else {} ?>
                         <?php if($crt_social6 != ''){ ?><li><a href="<?php echo esc_url($crt_social6) ; ?>"><img src="<?php echo esc_url($crt_social_icon6['url']) ; ?>" class="social-image"/></a></li> <?php } else {} ?>
                         <?php if($crt_social7 != ''){ ?><li><a href="<?php echo esc_url($crt_social7) ; ?>"><img src="<?php echo esc_url($crt_social_icon7['url']) ; ?>" class="social-image"/></a></li> <?php } else {} ?>
                         <?php if($crt_social8 != ''){ ?><li><a href="<?php echo esc_url($crt_social8) ; ?>"><img src="<?php echo esc_url($crt_social_icon8['url']) ; ?>" class="social-image"/></a></li> <?php } else {} ?>
                        </ul>
                        <div class="clear"></div>
                    </div>
                    <?php if(isset($crt_hb_search) && ($crt_hb_search == 'yes')){ ?>
                    <a id="crt-header-search" class="crt-btn crt-btn-hb" href="#">
                        <div class="crt-btn-content"><i class="fa fa-search"></i></div>
                    </a>
                    <div id="crt-hb-search">
                        <?php get_search_form(); ?>
                    </div>
                    <?php } ?>
                    <?php if(isset($crt_extra_button_text) && ($crt_extra_button_text != '')){ ?>
                    <a class="crt-btn crt-btn-hb" href="<?php echo esc_url($crt_extra_button_link) ; ?>">
                        <div class="crt-btn-content"><?php echo esc_html($crt_extra_button_text) ; ?></div>
                    </a>
                    <?php } ?>
                </div>
                    <?php } ?>
                <?php } ?>
            <?php } ?>
            </div>
            </header>
		</div>
        <!-- END HEADER -->
        
        <?php if (isset($crt_allow_breadcrumbs) && ($crt_allow_breadcrumbs == 'yes')){ ?>
        	<?php echo fw_ext_get_breadcrumbs( $separator = '/'); ?>
        <?php } ?>
        
        <!-- MAIN CONTENT -->               
        <div id="crt-maincontent"<?php if ( function_exists( 'fw_get_db_customizer_option') ) { ?> class="crt-w-d-<?php echo esc_attr($crt_w_default_widget); ?> crt-w-rp-<?php echo esc_attr($crt_w_recent_posts); ?> crt-w-a-<?php echo esc_attr($crt_w_archives); ?> crt-w-ca-<?php echo esc_attr($crt_w_calendar); ?> crt-w-cat-<?php echo esc_attr($crt_w_categories); ?> crt-w-m-<?php echo esc_attr($crt_w_meta); ?> crt-w-s-<?php echo esc_attr($crt_w_search); ?> crt-w-cu-<?php echo esc_attr($crt_w_custom_menu); ?>"<?php } ?>>     
			<div class="row">
                <div id="content" class="<?php curiosity_lite_maincontent_with_sidebar(); ?>">
                	<div class="main">							