<?php

/*********For Localization**************/
add_action('after_setup_theme', 'curiosity_lite_load_textdomain');
function curiosity_lite_load_textdomain(){
	load_theme_textdomain( 'curiosity-lite', get_template_directory().'/languages' );
}

/*********Array Pages**************/
if ( ! function_exists( 'curiosity_lite_all_pages' ) ):
function curiosity_lite_all_pages() {
	$crt_pages = get_pages();
	$crt_list = array();
	$crt_list[0] = esc_html__('None', 'curiosity-lite');
	foreach ( $crt_pages as $crt_page ) {
		$crt_list[ $crt_page->ID ] = $crt_page->post_title;
	}
	return $crt_list;
}
endif;

/*********Unique 404 Page**************/
if ( ! function_exists( 'curiosity_lite_unique_404_page' ) ):
function curiosity_lite_unique_404_page(){
	$crt_404_page = function_exists( 'fw_get_db_customizer_option' ) ? fw_get_db_customizer_option('crt_404_page') : '';
	if( !empty($crt_404_page) ) {
		global $wp_query;
		$wp_query = new WP_Query();
		$wp_query->query( 'page_id=' . $crt_404_page );
		$wp_query->the_post();
		$crt_404_page_template = get_page_template();
		rewind_posts();
		return $crt_404_page_template;
	}
}
add_filter( '404_template', 'curiosity_lite_unique_404_page' );
endif;

/*********Template for comments and pingbacks**************/
if ( ! function_exists( 'curiosity_lite_comment' ) ) :
function curiosity_lite_comment( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;
	switch ( $comment->comment_type ) :
		case '' :
	?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
		<div id="comment-<?php comment_ID(); ?>" class="con-comment">
		<div class="comment-author vcard">
			<?php if ( $args['avatar_size'] != 0 ) echo get_avatar( $comment, $args['avatar_size'] ); ?>
		</div><!-- .comment-author .vcard -->


		<div class="comment-body">
			<?php  printf( __( '%s ', 'curiosity-lite' ), sprintf( '<cite class="fn">%s</cite>', get_comment_author_link() ) ); ?>
            <span class="time">
               <?php
                /* translators: 1: date, 2: time */
                printf( __( '%1$s %2$s', 'curiosity-lite' ), get_comment_date(),  get_comment_time() ); ?>
            </span>
			<div class="commenttext">
			<?php comment_text(); ?>
			<?php if ( $comment->comment_approved == '0' ) : ?>
				<em><?php _e( 'Your comment is awaiting moderation.', 'curiosity-lite' ); ?></em>
			<?php endif; ?>
            <?php edit_comment_link( __( 'Edit', 'curiosity-lite' ), '<div class="com-link">', '</div>' );?>
			<?php comment_reply_link( 
                array_merge( 
                    $args, array(
                    'before' => '<div class="com-reply">', 
                    'depth' => $depth, 
                    'max_depth' => $args['max_depth'],
                    'after'      => '</div>' 
                    ) 
                ) 
            ); ?>
            
			</div>
            <div class="arrow"></div>
			<div class="clear"></div>
		</div>
		<div class="clear"></div>
	</div><!-- #comment-##  -->

	<?php
			break;
		case 'pingback'  :
		case 'trackback' :
	?>
	<li class="post pingback">
		<p><?php _e( 'Pingback:', 'curiosity-lite' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __('(Edit)', 'curiosity-lite'), ' ' ); ?></p>
	<?php
			break;
	endswitch;
}
endif;

/*********For clean shortcodes**************/
function curiosity_lite_clean_shortcodes($content){   
$array = array (
    '<p>[' => '[', 
    ']</p>' => ']', 
    ']<br />' => ']'
);
$content = strtr($content, $array);
return $content;
}
add_filter('the_content', 'curiosity_lite_clean_shortcodes');


/*********Display navigation to next/previous comments**************/
if ( ! function_exists( 'curiosity_lite_comment_nav' ) ) {
function curiosity_lite_comment_nav() {
	// Are there comments to navigate through?
	if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :
	?>
	<nav class="navigation comment-navigation">
		<h2 class="screen-reader-text"><?php _e( 'Comment navigation', 'curiosity-lite' ); ?></h2>
		<div class="nav-links">
			<?php
				if ( $prev_link = get_previous_comments_link( __( 'Older Comments', 'curiosity-lite' ) ) ) :
					printf( '<div class="nav-previous">%s</div>', $prev_link );
				endif;

				if ( $next_link = get_next_comments_link( __( 'Newer Comments', 'curiosity-lite' ) ) ) :
					printf( '<div class="nav-next">%s</div>', $next_link );
				endif;
			?>
		</div><!-- .nav-links -->
	</nav><!-- .comment-navigation -->
	<?php
	endif;
}
}

/*********Read More Text**************/
if(!function_exists('curiosity_lite_read_more_text')){
function curiosity_lite_read_more_text(){
	
if ( function_exists( 'fw_get_db_customizer_option') ) {
	$crt_read_more_text = fw_get_db_customizer_option( 'crt_read_more_text');
	if ( $crt_read_more_text =='') $crt_read_more_text = __( 'Read more', 'curiosity-lite' ) ;
}	
else {
	$crt_read_more_text = __( 'Read more', 'curiosity-lite' ) ;
}
	echo esc_html($crt_read_more_text);
}
}
/*********Post Thumbnails**************/
if(!function_exists('curiosity_lite_post_thumbnails')){
function curiosity_lite_post_thumbnails(){
	
?>
	<?php if (has_post_thumbnail()) { ?>
        <div class="crt-spih">
            <?php the_post_thumbnail( 'curiosity-lite-index-thumb' ) ; ?>
        </div>
	<?php } ?>
<?php                    
}
}

/*********Layout functions**************/

// Layout classes for crt-maincontent
if ( ! function_exists( 'curiosity_lite_maincontent_with_sidebar' ) ) :
function curiosity_lite_maincontent_with_sidebar() {

	// Theme Settings
	$post_id = get_the_ID();  
	if ( function_exists( 'fw_get_db_post_option') ) {
		$crt_basic_post_layer_select = fw_get_db_post_option( $post_id, 'crt_basic_post_layer_select' ) ;
	}
	if ( function_exists( 'fw_get_db_customizer_option') ) {
		$crt_basic_layer_select = fw_get_db_customizer_option( 'crt_basic_layer_select');
		$crt_blog_basic_layer_select = fw_get_db_customizer_option( 'crt_blog_basic_layer_select');
	}
	
	if ( function_exists( 'fw_get_db_customizer_option') ) { 
		if (is_home() || is_tax() || is_archive() || is_search() || is_404()) {
			if ($crt_blog_basic_layer_select == '2-col-l') { echo 'contentcol columns positionleft';
			} elseif ($crt_blog_basic_layer_select == '2-col-r') { echo 'contentcol columns positionright';
			} elseif ($crt_blog_basic_layer_select == '1-col') { echo 'blogcontent columns';
			} else {
				if ($crt_basic_layer_select == '2-col-l') { echo 'contentcol columns positionleft';
				} elseif ($crt_basic_layer_select == '2-col-r') { echo 'contentcol columns positionright';
				} else { echo 'blogcontent columns';
				}
			}
		} elseif ($crt_basic_post_layer_select == '2-col-l') { echo 'contentcol columns positionleft';
		} elseif ($crt_basic_post_layer_select == '2-col-r') { echo 'contentcol columns positionright'; 
		} elseif ($crt_basic_post_layer_select == '1-col') { echo 'content';
		} else {
			if ($crt_basic_layer_select == '2-col-l') { echo 'contentcol columns positionleft';
			} elseif ($crt_basic_layer_select == '2-col-r') { echo 'contentcol columns positionright';
			}
		} 
	}
}
endif;

// Layout classes for sidebar
if ( ! function_exists( 'curiosity_lite_sidebar_layout' ) ) :
function curiosity_lite_sidebar_layout() {

	$post_id = get_the_ID(); 
	if ( function_exists( 'fw_get_db_post_option') ) {  
	$crt_basic_post_layer_select = fw_get_db_post_option( $post_id, 'crt_basic_post_layer_select' ) ;
	}
	
	if ( function_exists( 'fw_get_db_customizer_option') ) {
	$crt_basic_layer_select = fw_get_db_customizer_option( 'crt_basic_layer_select');
	$crt_blog_basic_layer_select = fw_get_db_customizer_option( 'crt_blog_basic_layer_select');
	
	if (is_home() || is_tax() || is_archive() || is_search() || is_404()) { ?>
		<?php if ($crt_blog_basic_layer_select == '2-col-l') { ?>                                         
			<aside id="sidebar" class="sidebarcol columns positionright sidebar-right">
				<?php get_sidebar(); ?>
			</aside><!-- sidebar -->
		<?php } elseif ($crt_blog_basic_layer_select == '2-col-r') { ?>
			<aside id="sidebar" class="sidebarcol columns positionleft sidebar-left">
				<?php get_sidebar(); ?>
			</aside>                       
		<?php } elseif ($crt_blog_basic_layer_select == '1-col') { ?>
		<?php } else { ?>
			<?php if ($crt_basic_layer_select == '2-col-l') { ?>                                         
				<aside id="sidebar" class="sidebarcol columns positionright sidebar-right">
					<?php get_sidebar(); ?>
				</aside><!-- sidebar -->
			<?php } elseif ($crt_basic_layer_select == '2-col-r') { ?>
				<aside id="sidebar" class="sidebarcol columns positionleft sidebar-left">
					<?php get_sidebar(); ?>
				</aside>                        
			<?php } elseif ($crt_basic_layer_select == '1-col') { ?>
			<?php }?>
		<?php } ?>
	<?php } elseif ($crt_basic_post_layer_select == '2-col-l') { ?>                                         
		<aside id="sidebar" class="sidebarcol columns positionright sidebar-right">
		<?php get_sidebar(); ?>  
		</aside><!-- sidebar -->
	<?php } elseif ($crt_basic_post_layer_select == '2-col-r') { ?>
		<aside id="sidebar" class="sidebarcol columns positionleft sidebar-left">
		<?php get_sidebar(); ?> 
		</aside>                       
	<?php } elseif ($crt_basic_post_layer_select == '1-col') { ?>
	<?php } else {  ?> 
		<?php if ($crt_basic_layer_select == '2-col-l') { ?>                                         
			<aside id="sidebar" class="sidebarcol columns positionright sidebar-right">
				<?php  get_sidebar(); ?> 
			</aside><!-- sidebar -->
		<?php } elseif ($crt_basic_layer_select == '2-col-r') { ?>
			<aside id="sidebar" class="sidebarcol columns positionleft sidebar-left">
				<?php get_sidebar(); ?>  
			</aside>                        
		<?php } elseif ($crt_basic_layer_select == '1-col') { ?>
		<?php }?>
	<?php } ?>
	<?php } 

}
endif;

/*********Post Tags**************/
if(!function_exists('curiosity_lite_post_tags')){
function curiosity_lite_post_tags(){

if ( function_exists( 'fw_get_db_customizer_option') ) {
    $crt_allow_post_info = fw_get_db_customizer_option( 'crt_allow_post_info/on_off');
	$crt_infos = fw_get_db_customizer_option( 'crt_allow_post_info/on/crt_infos');
	$crt_normal_blog_infos = fw_get_db_customizer_option( 'crt_allow_post_info/on/crt_normal_blog_infos');
}

if(isset($crt_allow_post_info) && ($crt_allow_post_info == 'on')){
?>	

<?php if (is_home() || is_tax() || is_archive() || is_search() || is_404()) { ?>
	<?php if(isset($crt_normal_blog_infos['tags'])){ ?>
        <div class="crt-entry-tag">
            <?php
            $posttags = get_the_tags();
            if($posttags){
            ?>
            <span class="crt-tag-text"><?php _e('Tags:','curiosity-lite'); ?></span>
            <?php 
            the_tags('<div class="crt-tag-items"><span>','</span><span>','</span></div>'); 
            } 
            ?>
        </div>
    <?php } ?>
<?php } else { ?>
	<?php if(isset($crt_infos['tags'])){ ?>
        <div class="crt-entry-tag">
            <?php
            $posttags = get_the_tags();
            if($posttags){
            ?>
            <span class="crt-tag-text"><?php _e('Tags:','curiosity-lite'); ?></span>
            <?php 
            the_tags('<div class="crt-tag-items"><span>','</span><span>','</span></div>'); 
            } 
            ?>
        </div>
    <?php } ?>
<?php } ?>     
<?php
}
}
}

/*********Post Categories**************/
if(!function_exists('curiosity_lite_post_categories')){
function curiosity_lite_post_categories(){

if ( function_exists( 'fw_get_db_customizer_option') ) {
    $crt_allow_post_info = fw_get_db_customizer_option( 'crt_allow_post_info/on_off');
	$crt_infos = fw_get_db_customizer_option( 'crt_allow_post_info/on/crt_infos');
	$crt_normal_blog_infos = fw_get_db_customizer_option( 'crt_allow_post_info/on/crt_normal_blog_infos');
}

$posttype = get_post_type(get_the_ID());

if(isset($crt_allow_post_info) && ($crt_allow_post_info == 'on')){
?>	

<?php if (is_home() || is_tax() || is_archive() || is_search() || is_404()) { ?>
	<?php if ($posttype == 'post'){ ?>
	<?php if(isset($crt_normal_blog_infos['categories'])){ ?>
        <p class="crt-ps-categories"><?php the_category(', '); ?></p>
    <?php } ?>
    <?php } ?>
<?php } else { ?>
	<?php if ($posttype == 'post'){ ?>
	<?php if(isset($crt_infos['categories'])){ ?>
        <p class="crt-ps-categories"><?php the_category(', '); ?></p>
    <?php } ?>
    <?php } ?>
<?php } ?>     
<?php
}
}
}

/*********Post Infos**************/
if(!function_exists('curiosity_lite_post_infos')){
function curiosity_lite_post_infos(){

if ( function_exists( 'fw_get_db_customizer_option') ) {
    $crt_allow_post_info = fw_get_db_customizer_option( 'crt_allow_post_info/on_off');
	$crt_infos = fw_get_db_customizer_option( 'crt_allow_post_info/on/crt_infos');
	$crt_normal_blog_infos = fw_get_db_customizer_option( 'crt_allow_post_info/on/crt_normal_blog_infos');
	$crt_allow_infos_for = fw_get_db_customizer_option( 'crt_allow_post_info/on/crt_allow_infos_for');
}

if(isset($crt_allow_post_info) && ($crt_allow_post_info == 'on')){
?>
<div class="crt-entry-infos">
	<div class="crt-entry-utility">
		<?php if(isset($crt_allow_infos_for['blog'])){ ?>

<?php if (is_home() || is_tax() || is_archive() || is_search() || is_404()) { ?>
	<?php if( (isset($crt_normal_blog_infos['date'])) || (isset($crt_normal_blog_infos['author']) || (isset($crt_normal_blog_infos['comments']))) ){ ?>
    <div class="crt-post-infos">
        <?php if(isset($crt_normal_blog_infos['author'])){ ?>
        <div class="user"><?php echo __( 'Written by ', 'curiosity-lite' );?> <a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) );?>"><?php the_author();?></a></div>
        <?php } ?>
        <?php if(isset($crt_normal_blog_infos['date'])){ ?>
        <div class="date"><?php echo __( 'on ', 'curiosity-lite' );?> <?php the_time(get_option('date_format')); ?></div>
        <?php } ?>
        <?php if(isset($crt_normal_blog_infos['comments'])){ ?>
        <div class="comment">
            <?php 
              comments_popup_link( 
              __( 'Leave a comment', 'curiosity-lite' ), 
              __( '1 Comment', 'curiosity-lite' ), 
              __( '% Comment', 'curiosity-lite' ),
              __( 'Comment Closed', 'curiosity-lite' )
              );
            ?>
        </div>
        <?php } ?>
    </div>
    <?php } ?>
<?php } else { ?>
	<?php if ((isset($crt_infos['date'])) || (isset($crt_infos['author']) || (isset($crt_infos['comments']))) ){ ?>
    <div class="crt-post-infos">
        <?php if(isset($crt_infos['author'])){ ?>
        <div class="user"><?php echo __( 'Written by ', 'curiosity-lite' );?> <a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) );?>"><?php the_author();?></a></div>
        <?php } ?>
        <?php if(isset($crt_infos['date'])) { ?>
        <div class="date"><?php echo __( 'on ', 'curiosity-lite' );?> <?php the_time(get_option('date_format')); ?></div>
        <?php } ?>
        <?php if(isset($crt_infos['comments'])){ ?>
        <div class="comment">
            <?php 
              comments_popup_link( 
              __( 'Leave a comment', 'curiosity-lite' ), 
              __( '1 Comment', 'curiosity-lite' ), 
              __( '% Comment', 'curiosity-lite' ),
              __( 'Comment Closed', 'curiosity-lite' )
              );
            ?>
        </div>
        <?php } ?>
    </div>
    <?php } ?>
<?php } ?>  
            
        <?php } ?>
	</div>  
</div>	     
<?php
}
}
}
