<?php
/*********Curiosity Setup**************/
add_action( 'after_setup_theme', 'curiosity_lite_setup' );
if ( ! function_exists( 'curiosity_lite_setup' ) ):
function curiosity_lite_setup() {

	add_editor_style();
	
	// This theme uses post thumbnails
	add_theme_support( 'post-thumbnails' );
	
	add_theme_support( 'title-tag' );
	
	// Add default posts and comments RSS feed links to head
	add_theme_support( 'automatic-feed-links' );
		
	// This theme supports a variety of post formats.
	if (defined('FW')) {
		add_theme_support( 'post-formats', array( 'gallery', 'link', 'quote', 'video', 'audio' ) );
	}
	
	//Add Custom Image Size
	add_image_size( 'curiosity-lite-index-thumb', 780, 350, true);
	add_image_size( 'curiosity-lite-entry-image', 890, 420, true );
	
	// This theme uses wp_nav_menu() in one location.
	register_nav_menus( array(
		'crt-mainmenu' => __( 'Main Menu', 'curiosity-lite' )

	) );
	register_nav_menus( array(
		'crt-mobilmenu' => __( 'Mobil Menu', 'curiosity-lite' )

	) );
	register_nav_menus( array(
		'crt-footermenu' => __( 'Footer Menu', 'curiosity-lite' )

	) );

}
endif;


/*********Dynamic Editor Styles**************/
if ( ! function_exists( 'curiosity_lite_custom_setup' ) ):
function curiosity_lite_custom_setup() {
	if ( ! defined( 'FW' ) ) {
		add_theme_support( "custom-background",
			array(
				'default-color' => '333333',
				'default-image' => '',
				'default-repeat'     => 'repeat',
				'default-position-x' => 'center',
				'default-attachment' => 'scroll',
	
			)
		);
		
		add_theme_support( "custom-header",
			array(
				'default-image'          => '',
				'flex-height'            => false,
				'flex-width'             => false,
				'uploads'                => true,
				'random-default'         => false,
				'wp-head-callback'       => '',
				'admin-head-callback'    => '',
				'admin-preview-callback' => '',
				'header-text'            => false,
			)
		);	
	}
}
endif;
add_action( 'after_setup_theme', 'curiosity_lite_custom_setup' );