<?php
/*********Curiosity Styles**************/
function curiosity_lite_customize_style() {
	global $wp_customize;
	if ( isset( $wp_customize ) ) {
		wp_enqueue_style('curiosity-lite-customize-css', get_template_directory_uri().'/admin/css/customize.css');
	}
}
add_action( 'admin_enqueue_scripts', 'curiosity_lite_customize_style' );

function curiosity_lite_about_theme_style($hook) {
	global $curiosity_lite_about_theme_page;
	if( $hook != $curiosity_lite_about_theme_page ) { 
		return;
	}
	wp_enqueue_style('curiosity-lite-about-theme-style-css', get_template_directory_uri().'/admin/css/about-theme.css');
}
add_action( 'admin_enqueue_scripts', 'curiosity_lite_about_theme_style' );

function curiosity_lite_custom_admin_style($hook) {
	if( $hook != 'edit.php' && $hook != 'post.php' && $hook != 'post-new.php' ) { 
		return;
	}
	wp_enqueue_style('curiosity-lite-unyson-admin-css', get_template_directory_uri().'/admin/css/edit.css');
}
add_action( 'admin_enqueue_scripts', 'curiosity_lite_custom_admin_style' );

function curiosity_lite_styles() {
	wp_enqueue_style('bootstrap', get_template_directory_uri().'/css/bootstrap.min.css', '', '', 'screen, all');
	wp_enqueue_style('flexslider', get_template_directory_uri().'/css/flexslider.css', '', '', 'screen, all');
	wp_enqueue_style('owl-carousel', get_template_directory_uri().'/css/owl-carousel.css', '', '', 'screen, all');
	wp_enqueue_style('prettyphoto-css', get_template_directory_uri().'/css/prettyPhoto.css', '', '', 'screen, all');
	wp_enqueue_style( 'fontawesome', get_template_directory_uri() . '/css/font-awesome.min.css' , array(), '4.4.0', 'all' );
			
	wp_enqueue_style('curiosity-lite-main-css', get_bloginfo( 'stylesheet_url' ), '', '', 'all');
	
	if ( ! defined( 'FW' ) ) {
		wp_enqueue_style('curiosity-lite-default-css', get_template_directory_uri().'/css/default-styles.css', '', '', 'screen, all');
	}
	
	wp_enqueue_style('curiosity-lite-google-fonts', '//fonts.googleapis.com/css?family=Fondamento|Josefin+Slab|PT+Serif|PT+Serif+Caption|Playfair+Display|Playfair+Display+SC');
}
add_action('wp_enqueue_scripts', 'curiosity_lite_styles');
