<?php
/**
 * The Template for displaying all single posts.
 *
 * @package WordPress
 * @subpackage Curiosity
 * @since Curiosity 1.0
 */

get_header(); ?>
            
    <div id="singlepost">
    	
		  <?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
      
      <div class="single-article-wrapper">
          <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
          
          <?php $post_id = get_the_ID();
		  // Post Option
          if ( function_exists( 'fw_get_db_post_option') ) {  
            $crt_gallery_format = fw_get_db_post_option( $post_id, 'crt_gallery_format' ) ;
            $crt_video_format = fw_get_db_post_option( $post_id, 'crt_video_format' ) ;
            $crt_audio_format = fw_get_db_post_option( $post_id, 'crt_audio_format' ) ;	
            $crt_quote_format = fw_get_db_post_option( $post_id, 'crt_quote_format' ) ;
            $crt_quote_format_author = fw_get_db_post_option( $post_id, 'crt_quote_format_author' ) ;
            $crt_link_format = fw_get_db_post_option( $post_id, 'crt_link_format' ) ;	
            $crt_post_nav = fw_get_db_post_option( $post_id, 'crt_post_nav' ) ;	
          }
		  // Theme Settings
		  if ( function_exists( 'fw_get_db_customizer_option') ) {
			$crt_allow_infos_for = fw_get_db_customizer_option( 'crt_allow_post_info/on/crt_allow_infos_for');
			$crt_infos = fw_get_db_customizer_option( 'crt_allow_post_info/on/crt_infos');
		  }
		  
          ?>

          <?php
          /* POST FORMATS HEADER
          ----------------------------------------------- */
		
          $crt_post_format = get_post_format();
        
          if ($crt_post_format == 'gallery') { 
          if( !empty ($crt_gallery_format)){ 
          ?>	
		 
		        <div class="postimg">
              <div id="postgallery-<?php echo get_the_ID() ; ?>" class="flexslider">
                <ul class="slides">

                  <?php foreach ( $crt_gallery_format as $attachment):  ?>
                  <li class="slide">
                    <div class="crt-spih">
                      <div class="single-post-image" style="background-image: url(<?php echo esc_url( $attachment['url'] );?>)"></div>
                    </div>
                  </li>
                  <?php endforeach; ?> 
                                            
                </ul>
              </div>
            </div>
          <?php } ?>

		      <?php } elseif ($crt_post_format == 'video') { 
		      if( !empty ($crt_video_format)){ 
          ?>	
		 
		        <div class="iframe-holder"><?php echo $crt_video_format; ?></div>
		 
		      <?php } ?>

          <?php } elseif ($crt_post_format == 'audio') { 
		      if( !empty ($crt_audio_format)){ 
          ?>	
		 
		        <div class="iframe-holder"><?php echo $crt_audio_format; ?></div>
		 
          <?php } ?>

          <?php } else {

		        if (has_post_thumbnail()) {
            $image = wp_get_attachment_url( get_post_thumbnail_id()) ;        
            ?>

            <div class="crt-spih">
              <div class="single-post-image" style="background-image: url(<?php echo esc_url($image) ; ?>)"></div>
            </div>
            <?php } ?>

          <?php } ?>

            <div class="crt-psth">
              <?php if(isset($crt_infos['categories'])){ ?>
              <p class="crt-ps-categories"><?php the_category(', '); ?></p>
              <?php } ?>
              <h3 class="crt-post-single-title"><?php echo the_title(); ?></h3>
            </div>
            <?php if(isset($crt_allow_infos_for['post'])){ ?>
            <div class="crt-entry-infos">
                <div class="crt-entry-utility">
                	<div class="crt-post-infos">
                    	<?php if(isset($crt_infos['author'])){ ?>
                        <div class="user"><?php echo __( 'Written by ', 'curiosity-lite' );?> <a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) );?>"><?php the_author();?></a></div>
                        <?php } ?>
                        <?php if(isset($crt_infos['date'])) { ?>
                        <div class="date"><?php echo __( 'on ', 'curiosity-lite' );?> <?php the_time(get_option('date_format')); ?></div>
                        <?php } ?>
                        <?php if(isset($crt_infos['comments'])){ ?>
                        <div class="comment">
                            <?php 
                              comments_popup_link( 
                              __( 'Leave a comment', 'curiosity-lite' ), 
                              __( '1 Comment', 'curiosity-lite' ), 
                              __( '% Comment', 'curiosity-lite' ),
                              __( 'Comment Closed', 'curiosity-lite' )
                              );
                            ?>
                        </div>
                        <?php } ?>
                	</div> 
                </div>  
            </div> 
			<?php } ?>
            <div class="entry-content">

              <?php
        			/* Content
              ----------------------------------------------- */ 
                $crt_posts = get_posts(array(
					'include' => $post_id,
					'numberposts' => 1,
					'suppress_filters' => false,
				));
				echo apply_filters('the_content', $crt_posts[0]->post_content);
     
              if ($crt_post_format == 'quote') { ?>
		 
              <div class="crt-blockquote-2-holder">
                <div class="crt-blockquote-2">
                  <?php if( !empty ($crt_quote_format)){ ?><div class="crt-blockquote-2-content"><?php echo wp_kses_post($crt_quote_format); ?></div><?php } ?>
                  <?php if( !empty ($crt_quote_format_author)){ ?><div class="crt-blockquote-2-author"><?php echo esc_html($crt_quote_format_author); ?></div><?php } ?>
                  <div class="clear"></div>
                </div>
              </div>		
              <?php } ?>

              <?php if ($crt_post_format == 'link') { 
              if( !empty ($crt_link_format)){ 
              ?>
                <a class="crt-psth-a" href="<?php echo esc_url($crt_link_format); ?>"><?php curiosity_lite_read_more_text(); ?></a>
              <?php } ?>
              <?php } ?>

            </div> 
    
            <div class="clearfix"></div><!-- clear float --> 
        </article>
             
        <?php curiosity_lite_post_tags(); ?>
        
      </div><!-- single-article-wrapper --> 
          
      <?php if (isset($crt_post_nav) && ($crt_post_nav != 'no')) { 
	  the_post_navigation(array(
			'prev_text'          => '<div class="nav-indicator">' . __( 'Previous Post:', 'curiosity-lite' ) . '</div><p>%title</p>',
        	'next_text'          => '<div class="nav-indicator">' . __( 'Next Post:', 'curiosity-lite' ) . '</div><p>%title</p>',
        	'screen_reader_text' => __( 'Post navigation', 'curiosity-lite' ),
	  )); 
	  } ?>

      <?php comments_template(); ?>
        
      <?php endwhile; ?>
    
    </div><!-- singlepost --> 
    <div class="clearfix"></div><!-- clear float --> 

<?php get_footer(); ?>